Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.sql
Class Insert

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.sql.SQLStatement
            |
            +--com.solarmetric.kodo.impl.jdbc.sql.NonSelectingSQL
                  |
                  +--com.solarmetric.kodo.impl.jdbc.sql.Update
                        |
                        +--com.solarmetric.kodo.impl.jdbc.sql.Insert

public class Insert
extends Update

Abstraction of a SQL INSERT statement.

Fields inherited from class com.solarmetric.kodo.impl.jdbc.sql.Update
`_loc, _updates`

Fields inherited from class com.solarmetric.kodo.impl.jdbc.sql.SQLStatement
`_dict, _resolver, _tables`

Constructor Summary
`Insert(DBDictionary dict, ClassResolver resolver)`
`Insert(Insert copy, ClassResolver resolver)`

Method Summary
`SQLBuffer` | `getSQLBuffer()` Return the SQLBuffer to be used for exeucting the statement;

Methods inherited from class com.solarmetric.kodo.impl.jdbc.sql.Update
`clear, clearSet, isValid, set, set, set, set, set, set, set, set, set, set, setInternal`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.sql.NonSelectingSQL
`retainTableInWhere`

Methods inherited from class com.solarmetric.kodo.impl.jdbc.sql.SQLStatement
`and, clearTable, clearWhere, columnName, getClassResolver, getDictionary, getTables, getWhere, getWhereSize, not, or, popWhere, pushWhere, toString, where, where, where, where, where, where, where, where, where, where, whereInternal, whereInternal`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Insert

    public Insert(DBDictionary dict,
                  ClassResolver resolver)

### Insert

    public Insert(Insert copy,
                  ClassResolver resolver)

Method Detail

### getSQLBuffer

    public SQLBuffer getSQLBuffer()

  Description copied from class: `SQLStatement`
  Return the SQLBuffer to be used for exeucting the statement;
  Overrides:
    `getSQLBuffer` in class `Update`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.